Bug 34539 - Autostart Impress Files in Batch-Mode
Summary: Autostart Impress Files in Batch-Mode
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.1 RC1
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Commandline
  Show dependency treegraph
 
Reported: 2011-02-21 09:47 UTC by vohe
Modified: 2019-12-03 13:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vohe 2011-02-21 09:47:16 UTC
Hello,

there exists patch for Openoffice thats make it possible to start presentations automatically. (see: http://qa.openoffice.org/issues/show_bug.cgi?id=111311)

I think this only works with *.ppt files.

Please put this in the LibreOffice Code:

- call LibreOffice via commandline with parameter 
                e.g. soffice.exe -show -batch mypresentation.ppt
    
should open LibreOffice-Impress and starts "mypresentation.ppt" immediately after the presentation ends (which is may time controlled), LibreOffice-Impress is closed automatically.

- make this work with all possible filetyps for Impress. Especially the *.odp files.

- make the usage of the function visible in documentation (helpfile) at least in the help message which is displayed with command: soffice -h

Greetings
Volker
Comment 1 Thorsten Behrens (CIB) 2011-02-21 13:48:38 UTC
Thx for filing vohe - yep, that was exactly what I meant. :)
Comment 2 Rob Snelders 2012-05-28 09:22:03 UTC
as far as I can see this works in 3.5.3 Linux Mint 13 x86_64.
The startup-parameter is shown in the "soffice --help"
Can show presentation of almost all the filetypes impress can open. Didn't check the templates. And the blank uop-presentation didn't open, but that file didn't open at all.

shouldn't this bug be closed?
Comment 3 Winfried Donkers 2012-05-29 00:23:39 UTC
It works as well with version 3.5.3 and Windows.
I changed the status to resolved/worksforme as the exact fix is not known.
Comment 4 Rob Snelders 2012-06-27 13:04:16 UTC
I got the following answer of the submitter. Which explained it to me.
--
normaly it should not be closed!
Startup an autostart presentation is possible since staroffice x.x.x

This issure  (and including patch) is ask for the automatic start AND stop of a presentation.

In this case it would be possible to make batchqueres like:

start Libreoffice with presentation1  (which is run automatically with timecodes on each side and ends after may 2 minutes)
  after that Libreoffice stops and return to the calling batch file (Linux call that shell file in guess)

in Windows:  demo.bat
:loopstart
libreoffice presentation1.odp -autoshow
mediaplayer companymovie.mpg -autostart
xnview d:/mypictures/companypics/*.jpg -diashowmode
libreoffice presentation2.odp -autoshow
goto loopstart

an Linux *.sh file looks similar i guess.

At that time the issue is wrote, Libre-(Open-)office ends all Presentation with a black screen. It show the message "press ESC to exit" . There was no way to skip this AND exit the impress.exe !

The issure (and the patch) search for a IMPRESS - PLAYER in fact.
--
Comment 5 Thorsten Behrens (CIB) 2013-09-12 16:14:41 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 6 Joel Madero 2014-11-04 02:36:47 UTC
REOPENED is incorrect status for this as it's not assigned to anyone. Moving to NEW
Comment 7 tommy27 2016-04-16 07:28:44 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-05-22 13:26:54 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-12-03 13:56:03 UTC
Dear vohe,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug